Subject: RE: GSE

From: "Tony Li" <[email-masked]>
Date: Thu, 7 Nov 2002 00:18:02 -0800

Well, I can't claim to be Noel, but I'll assert the following:

From an _engineering_ viewpoint, the hostname is not easy
to manipulate as an identifier.  It is variable length and
we've decided on a fixed length field in our headers.  If it
is of any length at all, it's likely to be longer than a 
numeric identifier would be and in that sense is inefficient.

However, a numeric identifier of sufficient and fixed length
that had a 1:1 mapping with hostnames would work perfectly.

Tony

|   On Tue, 5 Nov 2002, J. Noel Chiappa wrote:
|   
|   >   I do remain completely convinced that we *do* need to 
|   separate host
|   >   identification from routing-names, but my enthusiasm 
|   comes from a broad
|   >   architectural perspective, not a particular case (such 
|   as multi-homing).
|   
|   > And I will further add that I think those two functions 
|   are best served by
|   > separate namespaces (i.e. different syntax and semantics).
|   
|   As our acting architectural conscience, what is your opinion on the
|   principal of making the full hostname the identifier?
|   
|   I think if we develop this further we'll end up with stuff 
|   that pretty
|   much does all the multi-address tricks we've been 
|   discussing here the
|   last weeks, but it should all be much cleaner, except for the places
|   where backward compatibility is especially difficult.
|   
|   
|   
|

---

From: Michael Richardson <[email-masked]>
Date: Thu, 07 Nov 2002 13:23:00 -0500

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Tony" == Tony Li <[email-masked]> writes:
    Tony> to manipulate as an identifier.  It is variable length and
    Tony> we've decided on a fixed length field in our headers.  If it
    Tony> is of any length at all, it's likely to be longer than a 
    Tony> numeric identifier would be and in that sense is inefficient.

    Tony> However, a numeric identifier of sufficient and fixed length
    Tony> that had a 1:1 mapping with hostnames would work perfectly.

  How about a 128-bit number, derived from some convenient nearby landmark,
or cross street? 

  Like a domain name, it may have no real meaning as a locator, only as a
end-point identifier. But, like a domain name, (such as mine), it provide
some geographic notion of where I am, even if that doesn't tell you which
AS# will get you here. Or like "procket.com", it might be assigned by an
organization on a first-come, first-served basis, and tell me nothing really,
about where you are.

  It also fits nicely into both AAAA and A6 RR records, and has a well
defined reverse mapping to a hostname.  

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

---

From: Alan Barrett <[email-masked]>
Date: Fri, 8 Nov 2002 15:23:15 +0200

> that had a 1:1 mapping with hostnames would work perfectly.

Would a one way mapping from hostname to numeric identifier be good
enough, or does it have to be easy to map in the both directions too?
For example, would something like truncate(hash(normalise(hostname))) be
good enough?

normalise() could be something like nameprep as defined over in IDN,
hash() could be SHA1, truncate() could be taking the least significant
64 or 128 bits.

--apb (Alan Barrett)